WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Tambah-On untuk WorldWideScripts.net

Melanggan suapan kami untuk kekal sehingga tarikh!

Baru! Ikut kami yang anda mahu!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Ikuti saya di Twitter Ikut Me On G + Ikut Me On CodeCanyon Demo live

Demo - Pangkalan Smoking (lumpuh)
Demo - Pangkalan Data (lumpuh)
The demo lumpuh! Kami hancur versi yang benar bagi setiap fungsi dan lanjutan.

PHP Versi Finder - Dikemaskini untuk v 1.0.3c 2010/12/09

Cari apa versi PHP skrip anda memerlukan. Apabila ditanya apakah versi PHP diperlukan untuk menjalankan skrip kami kami tidak mempunyai jawapan yang muktamad. Kami mencipta skrip ini untuk menentukan versi PHP, dan kemudian kami mengambil ia ke tahap yang lain dengan mencari fungsinya telah ditamatkan. Tetapi kita tidak terhenti setakat itu sahaja. Kami termasuk PHP Sambungan dan membina bahasa. Kami hampir memanggilnya baik pada itu, tetapi kemudian kita tertanya-tanya... berapa kali kita menggunakan fungsi ini. Penggunaan yang berlebihan fungsi yang sama boleh menjatuhkan maruah prestasi. Pemantauan berapa kali fungsi yang digunakan boleh membantu menentukan sama ada "Dicipta Pengguna Fungsi" boleh diwujudkan untuk mengurangkan kod dan meningkatkan prestasi.

pengesanan

PHP Versi Finder trek: 3044 PHP Fungsi, 2260 PHP Extensions, 23 Bahasa Constructs, 19 Cadangan Alternatif, 7 Tips / Trik / Nota. (Tambah 69 Eksperimen, 20 Ditamatkan, 47 "svn" fungsi)
Kod ini tidak perlu menghantar lengkap dan tidak berfungsi. Ia juga tidak perlu masuk akal. Selagi ia adalah antara <? Php dan?> Ia akan dinilai. Demo lumpuh - Demo ini telah dilumpuhkan untuk menghalang orang ramai daripada menggunakannya dan tidak membelinya.

Hentikan Meneka!

Sejujurnya - kebanyakan pemaju "bola-taman" apakah versi PHP diperlukan dengan menarik balik beberapa "kunci" fungsi yang mereka digunakan. Dengan PHP Versi Finder anda boleh tahu dengan pasti apa versi PHP sebenarnya diperlukan!
Jangan Guess! - Run PHP Versi Finder pada skrip anda tahu dengan pasti apa verions sebanyak PHP dikehendaki beroperasi skrip anda!

Pengesanan dikecam

PHP Versi Finder membolehkan anda tahu jika apa-apa fungsi yang anda digunakan adalah dikecam.
Disingkirkan Pengesanan - Semak skrip anda untuk fungsi dikecam

dua Versi

The PHP Versi Finder TIDAK memerlukan database. Walau bagaimanapun, bagi mereka yang lebih suka menggunakan pangkalan data, skrip tidak termasuk versi pangkalan data.
Optionhal Pangkalan Data - versi PHP pencari TIDAK memerlukan pangkalan data, bagaimanapun, versi alternatif dibekalkan bagi mereka yang mahu menggunakan sistem database.
Mengapa Dua Versi?
Ia semua bergantung kepada nombor. Jika terdapat banyak fungsi PHP, versi pangkalan data BUKAN adalah lebih cepat. Jika terdapat hanya fungsi beberapa, versi pangkalan data adalah lebih cepat. Berapa banyak yang lebih cepat? Nah, ia diukur dalam saat mikro. Jadi tidak benar-benar ketara. Selepas kami membuat versi pangkalan data kami mengambil keputusan ia tidak berbaloi kerana prestasinya tidak ketara berbeza. Kami memutuskan untuk memasukkannya kerana ia telah dibina - freebie jika anda suka.

pemasangan

Pemasangan adalah mudah. Memuat direktori, mengedit dua tetapan dan anda selesai.
Installion - Muat naik 1 direktori untuk pelayan anda, mengedit satu fail config dan bersedia anda untuk pergi!

input

Anda boleh memuat naik fail dari komputer anda, mengimbas fail atau direktori keseluruhan pada pelayan, atau paste kod di dalam kotak untuk pemprosesan.
Multiple Input - Anda boleh memuat naik fail, mengimbas direktori atau daftar satu blok kod.

Cadangan alternatif

Jika PHP Versi Finder mendapati fungsi yang akan digunakan lagi, ia akan memberi anda cadangan alternatif yang boleh menggantikan fungsi dikecam.
Cadangan Alternatif - Anda boleh membuat skrip anda Sebagai contoh:
jika anda menggunakan file_put_contents (yang memerlukan PHP 5), PHP Versi Finder akan membiarkan anda tahu bahawa anda boleh menggunakan fwrite bukannya yang boleh menurunkan versi yang diperlukan ke PHP 4. Bukan itu sahaja, tetapi terdapat satu nota yang dilampirkan kepada file_put_contents yang menunjukkan anda kod untuk gunakan untuk membuat file_put_contents serasi ke belakang.

Membeli PHP Versi Finder SEKARANG!

Jadikan Hidup Mudah! Cari fungsi dikecam, mendapatkan cadangan serasi ke belakang dan tahu apa versi PHP diperlukan untuk menjalankan skrip anda
Beli Sekarang - Buat Life Mudah, mencari fungsi dikecam, mendapatkan cadangan serasi ke belakang dan tahu apa versi PHP diperlukan untuk menjalankan skrip anda.

Ciri-ciri semasa (v 1.0.0) - 2010/12/01

  • Pangkalan pilihan
  • Pengesanan dikecam
  • Fail naik Pemprosesan
  • Direktori Pemprosesan
  • Ditampal Kod Pemprosesan
  • AutoComplete
  • Syntax Penyerlah
  • 3044 PHP Fungsi
  • 2260 PHP Extensions
  • 23 Bahasa Constructs
  • 19 Cadangan Alternatif
  • 7 Tips / Trik / Nota
  • Plus 69 Fungsi Experimental
  • Plus 20 Dikecam Fungsi
  • Plus 47 "svn" / Fungsi tidak diketahui

Update v 1.0.1 2010/12/03

  • Notis Amaran tetap
  • Tetap "Pembolehubah Undefined" Kesilapan
  • Kesilapan Ejaan Tetap
  • Dikemaskini Bantuan Fail untuk mencerminkan perubahan
  • Ditambah Penjelasan Pelesenan
  • Dibersihkan "Laporan Fail"

Update v 1.0.2 2010/12/04

  • Notis Amaran tetap
  • Tetap "Pembolehubah Undefined" Kesilapan
  • Dikemaskini Bantuan Fail untuk mencerminkan perubahan

Update v 1.0.3c 2010/12/09

  • Dibersihkan kod
  • Menulis semula bagaimana statistik adalah diselaraskan.
  • Menulis semula "Laporan Fail"

Memuat turun
Komponen-komponen lain dalam kategori iniSemua komponen pengarang ini
KomenSoalan-soalan lazim dan jawapan

Properties

dicipta:
3 Dis 10

Kemaskini terakhir:
10 Dis 10

Resolusi tinggi:
Tiada

Pelayar Sesuai:
IE7, IE8, Safari, Opera

fail Termasuk:
JavaScript JS, HTML, CSS, PHP, SQL

Versi perisian:
PHP 4.x, PHP 5.x, PHP 5,0-5,2, PHP 5.3, MySQL 5.x

Kata kunci

eCommerce, eCommerce, semua Item, amaran dikecam, versi php, penonjolan sintaks